Subject: Re: rsync hangs (v2.6.2-1 on both Cygwin and Fedora)
From: "Clif J. Smith" <[email-masked]>
To: Thorsten Kampe <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 Jul 2004 15:13:04 -0500

On Sat, 2004-07-24 at 05:13, Thorsten Kampe wrote:
> * Clif J. Smith (2004-07-24 07:48 +0200)
> > I'm trying to rsync data from a WinXP system running Cygwin to a Fedora
> > Core 2 system.  When running the following command from my Fedora
> > system, it'll build a file list for a while, but never actually sync
> > anything and complete:
> > # /usr/bin/rsync -avvvv --delete --numeric-ids --rsh=/usr/bin/ssh \
> > [email-masked]:/cygdrive/d/directory/ /fs1/directory/
> > 
> > It never hangs at the same spot.  I can rsync to other Linux and Solaris
> > systems without issue.  I never see an error, it just hangs...
> > 
> > Please help.
> 
> Personal Firewall running? Try the command from the Cygwin host and
> see what happens. See that rsync is not aliased ("\rsync -vvv").
> Install rsync as server and watch the log on the Cygwin side.
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
I don't have a firewall on either system.
rsync'ing from the windows system to the fedora system works (but I
still need to work in the other direction).
I don't understand what you mean by "aliased"?  I see that
/usr/bin/rsync is not a link on the fedora system and not a shortcut on
the windows system.
Where is the log on the cygwin/windows side?  /var/log/Rsync.log is
empty and rsync doesn't update any others that I've seen.

cjs

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/